unit ReciverStr;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TStringReciever = class(TForm)
    LabelStr: TLabel;
  private
       // Обработчик сообщения WM_COPYDATA
       procedure WMCopyData(var MessageData: TWMCopyData);
       message WM_COPYDATA;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  StringReciever: TStringReciever;
const
     CMD_SETLABELTEXT = 1;

implementation

{$R *.dfm}

procedure TStringReciever.WMCopyData(var MessageData: TWMCopyData);
   begin
     // Устанавливаем свойства метки, если заданная команда совпадает
     if MessageData.CopyDataStruct.dwData = CMD_SETLABELTEXT then begin
       // Устанавливаем текст из полученных данных
       LabelStr.Caption := PChar(MessageData.CopyDataStruct.lpData);
       MessageData.Result := 1;
     end else
       MessageData.Result := 0;
   end; 

end.
